#!/usr/bin/python
# -*- coding: utf-8 -*-

from lxml import etree
from xlwt import Workbook
from math import ceil

wb = Workbook()
ws = wb.add_sheet('Test 2GIS')

def doThis(tree, index):
    for filial_id in tree.xpath('//filial/id'):
        tree = etree.parse('http://catalog.api.2gis.ru/profile?&version=1.3&key=**********&output=xml&id=' + filial_id.text)
        ws.write(index, 0, tree.xpath('//name')[0].text)
        try:
            email = tree.xpath('//contact[@type="email"]/value')[0].text
        except:
            email = ''
        try:
            website = tree.xpath('//contact[@type="website"]/value')[0].text.split("?")[1]
        except:
            website = ''
        ws.write(index, 1, email)
        ws.write(index, 2, website)
        index += 1
        print index
    return index

index = 0
tree = etree.parse('http://catalog.api.2gis.ru/search?what=Консалтинговые услуги&where=Санкт-Петербург&format=short&version=1.3&key=**********&output=xml&pagesize=50')
index = doThis(tree, index)
for i in range(2, int(ceil(int(tree.xpath('//result/@total')[0])/50.0)) + 1):
    tree = etree.parse('http://catalog.api.2gis.ru/search?what=Консалтинговые услуги&where=Санкт-Петербург&format=short&version=1.3&key=**********&output=xml&pagesize=50&page=' + str(i))
    index = doThis(tree, index)
wb.save('example.xls')

